Summary: A desktop version of the Mamono Sweeper
Name: fiend-finder
Version: 0.2.1
Release: %autorelease
License: GPL-3.0-or-later
URL: https://codeberg.org/wickedsmoke/fiend-finder
Source: https://codeberg.org/wickedsmoke/fiend-finder/archive/v%{version}.tar.gz
BuildRequires: gcc, make, mesa-libGL-devel, gypsy-devel

%global debug_package %{nil}

%description
This is a desktop version of Mamono Sweeper.
The game may also be played in classic Minesweeper mode.

%prep
%setup -q -n fiend-finder

%build
make SDK=/opt/gypsy_sdk-0.1.2 RPATH=none

%install
make DESTDIR=%{buildroot}/usr install

%clean
rm -rf %{buildroot}

%files
%license LICENSE
%defattr(-,root,root)
%{_bindir}/fiend-finder
%{_datadir}/icons/hicolor/48x48/apps/fiend-finder.png
%{_datadir}/applications/fiend-finder.desktop

%changelog
* Fri Apr 18 2025 Karl Robillard <wickedsmoke@users.sf.net> 0.2.1
  - Initial package release.
